Subject: Re: linux-next: manual merge of the arm-soc tree with the arm tree

From: Russell King <[email-masked]>
Date: Mon, 24 Oct 2011 21:51:58 +0100

On Tue, Oct 25, 2011 at 07:45:32AM +1100, Stephen Rothwell wrote:
> Hi Arnd,
> 
> Today's linux-next merge of the arm-soc tree got a conflict in
> arch/arm/mach-exynos4/include/mach/entry-macro.S between commit
> 292b293ceef2 ("ARM: gic: consolidate PPI handling") from the arm tree and
> commit 3a0622811292 ("ARM: EXYNOS4: Add support MCT PPI for EXYNOS4212")
> from the arm-soc tree.
> 
> Again, I hacked it up (again probably incorrectly - I kept both
> additions).

Argh, noooo, not another conflict.

It looks like merging the PPI stuff was a bad move (despite pressure from
tglx to do so.)  Unfortunately, it's in my published stable branch so it
can't be dropped.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: